Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 972419 - [ cmd ] Cannot search out valid distro trees via command line
Summary: [ cmd ] Cannot search out valid distro trees via command line
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Beaker
Classification: Retired
Component: command line
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-09 09:36 UTC by Xin Zhang
Modified: 2018-02-06 00:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-28 06:59:06 UTC


Attachments (Terms of Use)

Description Xin Zhang 2013-06-09 09:36:33 UTC
Description of problem:
When searching tasks and distro trees via command tag and xml, it will return all the tasks and distro trees.

Version-Release number of selected component (if applicable):
beaker-0.12.1-1.git.199.c06a860.el6eng.noarch
beaker-client-0.12.1-1.git.199.c06a860.el6eng.noarch

How reproducible:
always

Steps to Reproduce:
1.bkr job-list --tag active
2.bkr distro-trees-list --xml-filter ***.xml


Actual results:
List all the jobs and distro trees.

Expected results:
List valid jobs and distro trees we need.

Additional info:

Comment 1 wangjing 2013-06-21 01:51:59 UTC
the issue of 'step1.bkr job-list --tag active' is duplicated of bug 971219

Comment 2 xjia 2013-06-28 06:59:06 UTC
(In reply to wangjing from comment #1)
> the issue of 'step1.bkr job-list --tag active' is duplicated of bug 971219
bkr distro-trees-list --xml-filter='<distro_arch op="=" value="x86_64"/><distro_variant op="=" value="Fedora"/><distro_family op="=" value="Fedora18"/>' --limit=1
It can works. I pretty sure you are using it in a wrong way.


Note You need to log in before you can comment on or make changes to this bug.